Package be.fgov.ehealth.mediprima.core.v1

# Class PodmiSppisPartType

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.PodmiSppisPartType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:17+02:00", comments="JAXB RI v4.0.5") public class PodmiSppisPartType extends Object implements Serializable

Java class for PodmiSppisPartType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PodmiSppisPartType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="HospitalizationPart" type="{urn:be:fgov:ehealth:mediprima:core:v1}ZivAmiPatientPartType"/>
             <element name="AmbulatoryCarePart" type="{urn:be:fgov:ehealth:mediprima:core:v1}ZivAmiPatientPartType"/>
             <element name="OtherPart" type="{urn:be:fgov:ehealth:mediprima:core:v1}ZivAmiPatientPartType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PodmiSppisPartType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ZivAmiPatientPartType`
  `getAmbulatoryCarePart()`
  This element contains the percentage supported by POD MI / SPP IS when ambulatory care - in hospital (see also what is available in ambulatory hospitalization cover).
  `ZivAmiPatientPartType`
  `getHospitalizationPart()`
  This element contains the percentage supported by POD MI / SPP IS when hospitalization (see also what is available in hospitalization cover).
  `ZivAmiPatientPartType`
  `getOtherPart()`
  This element contains the percentage supported by POD MI - SPP IS when cares ouside hospital (see also what is available in doctor, paramedic, medical transportation, miscellaneous, prosthesis, pharmaceutical drugs covers).
  `void`
  `setAmbulatoryCarePart(ZivAmiPatientPartType value)`
  Sets the value of the ambulatoryCarePart property.
  `void`
  `setHospitalizationPart(ZivAmiPatientPartType value)`
  Sets the value of the hospitalizationPart property.
  `void`
  `setOtherPart(ZivAmiPatientPartType value)`
  Sets the value of the otherPart property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PodmiSppisPartType

    public PodmiSppisPartType()

- ## Method Details

  - ### getHospitalizationPart

    public ZivAmiPatientPartType getHospitalizationPart()
    This element contains the percentage supported by POD MI / SPP IS when hospitalization (see also what is available in hospitalization cover).
    Returns:
      possible object is `ZivAmiPatientPartType`

  - ### setHospitalizationPart

    public void setHospitalizationPart(ZivAmiPatientPartType value)
    Sets the value of the hospitalizationPart property.
    Parameters:
      `value` - allowed object is `ZivAmiPatientPartType`
    See Also:
      - `getHospitalizationPart()`

  - ### getAmbulatoryCarePart

    public ZivAmiPatientPartType getAmbulatoryCarePart()
    This element contains the percentage supported by POD MI / SPP IS when ambulatory care - in hospital (see also what is available in ambulatory hospitalization cover).
    Returns:
      possible object is `ZivAmiPatientPartType`

  - ### setAmbulatoryCarePart

    public void setAmbulatoryCarePart(ZivAmiPatientPartType value)
    Sets the value of the ambulatoryCarePart property.
    Parameters:
      `value` - allowed object is `ZivAmiPatientPartType`
    See Also:
      - `getAmbulatoryCarePart()`

  - ### getOtherPart

    public ZivAmiPatientPartType getOtherPart()
    This element contains the percentage supported by POD MI - SPP IS when cares ouside hospital (see also what is available in doctor, paramedic, medical transportation, miscellaneous, prosthesis, pharmaceutical drugs covers).
    Returns:
      possible object is `ZivAmiPatientPartType`

  - ### setOtherPart

    public void setOtherPart(ZivAmiPatientPartType value)
    Sets the value of the otherPart property.
    Parameters:
      `value` - allowed object is `ZivAmiPatientPartType`
    See Also:
      - `getOtherPart()`